classification
Title: Make the zlib module emit more detailed error messages
Type: behavior Stage: resolved
Components: Extension Modules Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gregory.p.smith, pitrou
Priority: normal Keywords: patch

Created on 2010-05-10 22:37 by pitrou, last changed 2010-05-11 23:51 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
zliberrors.patch pitrou, 2010-05-10 22:37
Messages (3)
msg105476 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-10 22:37
This is a patch to use our own error descriptions when the zlib doesn't provide anything in particular. It would have made issue8672 easier to diagnose for the reporter (and for us).
msg105543 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2010-05-11 20:50
zliberrors.patch looks good to me.

On Mon, May 10, 2010 at 3:37 PM, Antoine Pitrou <report@bugs.python.org> wrote:
>
> New submission from Antoine Pitrou <pitrou@free.fr>:
>
> This is a patch to use our own error descriptions when the zlib doesn't provide anything in particular. It would have made issue8672 easier to diagnose for the reporter (and for us).
>
> ----------
> components: Extension Modules
> files: zliberrors.patch
> keywords: patch
> messages: 105476
> nosy: gregory.p.smith, pitrou
> priority: normal
> severity: normal
> stage: patch review
> status: open
> title: Make the zlib module emit more detailed error messages
> type: behavior
> versions: Python 2.6, Python 2.7, Python 3.1, Python 3.2
> Added file: http://bugs.python.org/file17287/zliberrors.patch
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue8681>
> _______________________________________
>
msg105560 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-11 23:51
Committed in r81098 (2.7), r81099 (2.6), r81100 (3.2), r81101 (3.1). Thanks!
History
Date User Action Args
2010-05-11 23:51:07pitrousetstatus: open -> closed
resolution: fixed
messages: + msg105560

stage: patch review -> resolved
2010-05-11 20:50:49gregory.p.smithsetmessages: + msg105543
2010-05-10 22:37:38pitroucreate